/* --------------------------------------------------------------  */
/* (C)Copyright 2008                                               */
/* International Business Machines Corporation                     */
/* All Rights Reserved.                                            */
/*                                                                 */
/* Redistribution and use in source and binary forms, with or      */
/* without modification, are permitted provided that the           */
/* following conditions are met:                                   */
/*                                                                 */
/* - Redistributions of source code must retain the above copyright*/
/*   notice, this list of conditions and the following disclaimer. */
/*                                                                 */
/* - Redistributions in binary form must reproduce the above       */
/*   copyright notice, this list of conditions and the following   */
/*   disclaimer in the documentation and/or other materials        */
/*   provided with the distribution.                               */
/*                                                                 */
/* - Neither the name of IBM Corporation nor the names of its      */
/*   contributors may be used to endorse or promote products       */
/*   derived from this software without specific prior written     */
/*   permission.                                                   */
/*                                                                 */
/* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          */
/* CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     */
/* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        */
/* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        */
/* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            */
/* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    */
/* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    */
/* NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    */
/* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        */
/* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       */
/* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    */
/* OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              */
/* --------------------------------------------------------------  */
/* PROLOG END TAG zYx                                              */
#ifndef __BITMAP_HEADER_
#define __BITMAP_HEADER_

/* BitMap File Header 
 * 
 * Here, WORD : 2Bytes, DWORD : 4Bytes, and LONG : 4Bytes
 * 
 * And I ONLY Define the OFFSET of those we will use.
 *
 * */
#define BM_HEAD_SIZE 54
/*
 *typedef struct tagBITMAPFILEHEADER {
 *    WORD    bfType;
 *    DWORD   bfSize;
 *    WORD    bfReserved1;
 *    WORD    bfReserved2;
 *    DWORD   bfOffBits;
 *} BITMAPFILEHEADER;
 * */

#define BF_OFFBITS 10

/*
 *typedef   struct   tagBITMAPINFOHEADER{  
 *    DWORD biSize;  
 *    LONG biWidth;  
 *    LONG biHeight;  
 *    WORD biPlanes;  
 *    WORD biBitCount  
 *    DWORD biCompression;  
 *    DWORD biSizeImage;  
 *    LONG biXPelsPerMeter;  
 *    LONG biYPelsPerMeter;  
 *    DWORD biClrUsed;  
 *    DWORD biClrImportant;  
 *} BITMAPINFOHEADER;  
 * */

#define BI_WIDTH 18
#define BI_HEIGHT 22
#define BI_BCC 28

/* 
 * We don't care these two structures...
 * typedef struct tagRGBQUAD
 * ...
 */

/* Get offset or number from flag bits */
#define NUM(n) (head[n]+head[n+1]*256+head[n+2]*256*256+head[n+3]*256*256*256)

#endif
