
!  DSTEQR  Example Program
!  Const &Variables
      INTEGER          NMAX, LDZ
      PARAMETER        (NMAX=8,LDZ=NMAX)
      INTEGER          I, INFO, N
      DOUBLE PRECISION D(NMAX), E(NMAX-1), WORK(2*NMAX-2), Z(LDZ,NMAX)

!  External Subroutines ..
      EXTERNAL         DSTEQR

!  Read input parameters from input file
      WRITE (*,*) 'DSTEQR INPUT Tridiagon matrix'

!  Skip heading in data file
      READ (*,*)
      READ (*,*) N
      IF (N.LE.NMAX) THEN

!  Read diagnal elements
         READ (*,*) (D(I),I=1,N)
!  Read Sub-diagnal elements
         READ (*,*) (E(I),I=1,N-1)

         WRITE (*,*) '  N is' , N
         WRITE (*,*) '  D is ', (D(I),I=1,N)
         WRITE (*,*) '  E is ', (E(I),I=1,N-1)

!  Calculate eigenvalues
         CALL DSTEQR('N',N,D,E,Z,LDZ,WORK,INFO)

         WRITE (*,*)
         IF (INFO.GT.0) THEN
            WRITE (*,*) 'Computaiont Error. info' , INFO
         ELSE

!   Print eigenvalues

            WRITE (*,*) 'Eigenvalues'
            WRITE (*,99999) (D(I),I=1,N)
            WRITE (*,*)
         END IF
      END IF
      STOP
!
99999 FORMAT (3X,(8F8.4))
      END
